Docs

Get Variants

GET /resourceTypes/{resourceTypeId}/variants

GET/resourceTypes/{resourceTypeId}/variants

Lists a resource type's live variants, including the hidden base variant, with their pinned attribute values, linked rate cards and component repoints. Requires ResourceTypeDatabase.Read.

Path Parameters

FieldTypeRequiredDescription
resourceTypeIduuidRequired

Response

Type: GetVariantsResponse[]

GetVariantsResponse

FieldTypeDescription
iduuid
resourceTypeIduuid
namestring| null
isBaseboolean
rateCardIduuid| null
associatedRateCardsGetVariantsResponseAssociatedRateCard[]| null
valuesGetVariantsResponseVariantValue[]| null
componentTargetsComponentTargetResponse[]| null

GetVariantsResponseAssociatedRateCard

FieldTypeDescription
rateCardIduuid
namestring| null
isDefaultboolean

GetVariantsResponseVariantValue

FieldTypeDescription
resourceAttributeIduuid
valuestring| null

ComponentTargetResponse

FieldTypeDescription
resourceComponentIduuid
targetResourceTypeIduuid
targetResourceTypeNamestring| null
targetResourceVariantIdsuuid[]| null
targetResourceVariantNamesstring[]| null
quantityinteger| null
isExcludedboolean